/* -*- mode: c; indent-tabs-mode:nil -*- */
// This file gets picked up by Cuba to do the sampling.
// It is nearly empty to let JSample.cpp to do its job

static inline void DoSampleSerial(This *t, cnumber n, creal *x, real *f
                                  VES_ONLY(, creal *w, ccount iter))
{
  t->neval += n;
  if( SampleRaw(t, n, x, f VES_ONLY(, w, iter)) )
    longjmp(t->abort, -99);
}

#define DoSample DoSampleSerial
#define Explore ExploreSerial
#define ForkCores(t)
#define WaitCores(t)

#ifdef DIVONNE

static inline count SampleExtra(This *t, cBounds *b)
{
  number n = t->nextra;
  t->peakfinder(&t->ndim, b, &n, t->xextra);
  DoSample(t, n, t->xextra, t->fextra);
  return n;
}
#endif

#include "common.c"
#include "Integrate.c"
